Skip to main content
POST
Create Proxy User

Authorizations

X-API-Private-Key
string
header
required

Private API key for user-level authentication.

X-API-Public-Key
string
header
required

Public API key for user-level authentication.

Headers

Content-Type
string
default:application/json
required

Content type for the request body as application/json.

Body

application/json

The details of the proxy user to be created.

ip_address_authentications
string[]

A list of IP addresses for Proxy User authentication. Each IP can only be used by one Proxy User.

Example:
proxy_user_access_type
enum<string>
default:all

Access control type for the proxy user:

  • "all": Unrestricted access (default)
  • "service_restricted": Access restricted by ProxyUserAcl service entries
  • "proxy_restricted": Access restricted by ProxyUserAcl proxy entries
Available options:
all,
service_restricted,
proxy_restricted
proxy_user_enforce_https
boolean
default:false

If true, this Proxy User can only access targets on port 443 (HTTPS). This is useful for enforcing secure connections.

Example:

false

proxy_user_id
string
default:Randomly generated

The ID of the proxy user. If not provided, it will be randomly generated.

Required string length: 10 - 32
Example:

"stevejobs"

proxy_user_is_strict_security
boolean
default:false

Enable strict security. If true, IP authentication is required.

Example:

true

proxy_user_metadata
object

Arbitrary metadata object for the Proxy User. Constraints

  • Supports string, boolean, float and integer values.
  • Non-nested JSON object
  • Max 30 keys
  • Each value ≤ 300 chars
  • Total size ≤ 32KB Defaults to {} if not provided.
proxy_user_mobile_bytes_limit
integer

Mobile bytes limit for the Proxy User (must not be negative).

Example:

1000000

proxy_user_password
string
default:Randomly generated

The password of the proxy user. If not provided, it will be randomly generated.

Required string length: 10 - 32
Example:

"apple1984"

proxy_user_residential_bytes_limit
integer

Residential bytes limit for the Proxy User (must not be negative).

Example:

1000000

Response

201 - application/json

Proxy User Successfully Created

created
string[]
required

A list containing the ID of the created Proxy User.

data
object
required
message
string
required

A message indicating success.